List workspace projects
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/projects \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"projects": [
{
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "active",
"memberCount": 1,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
},
"pagination": {
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}List workspace projects
List the projects in a workspace with their member counts, for project membership administration.
GET
/
api
/
public
/
v1
/
workspaces
/
{workspaceId}
/
projects
List workspace projects
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/projects \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"projects": [
{
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "active",
"memberCount": 1,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
},
"pagination": {
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}projectId, name, slug, status, memberCount, and timestamps.
You can filter the list by status and name. The values of status are active or archived and the default is active. For pagination, use limit (1 to 200, default 50) and cursor on the results. The request needs the project.members.read scope.Authorizations
platformApiKeybearerPlatformKey
Query Parameters
Was this page helpful?